## kgmailnotifier 0.5.1

=== pics/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
install(FILES gmailRed.png gmailBlue.png gmailAlert.png gmailLabel.png DESTINATION ${DATA_INSTALL_DIR}/kgmailnotifier/pics)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions(${KDE4_DEFINITIONS})
include_directories(${KDE4_INCLUDES})

set(kgmailnotifier_SRCS
    account.cpp
    atomcontenthandler.cpp
    atomparser.cpp
    audioplayer.cpp
    configappearance.cpp
    configgeneral.cpp
    confignotification.cpp
    configuration.cpp
    configurationdialog.cpp
    kgmailnotifier.cpp
    ledhandler.cpp
    main.cpp
    passworditem.cpp
    popupwindow.cpp
    trayicon.cpp
    wallet.cpp)

kde4_add_kcfg_files(kgmailnotifier_SRCS configurationbase.kcfgc)
kde4_add_ui_files(kgmailnotifier_SRCS configgeneral.ui configappearance.ui confignotification.ui)
kde4_add_executable(kgmailnotifier ${kgmailnotifier_SRCS})

target_link_libraries(kgmailnotifier ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} ${PHONON_LIBS})

install(TARGETS kgmailnotifier DESTINATION ${BIN_INSTALL_DIR})
install(FILES kgmailnotifier.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES kgmailnotifier.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
kde4_install_icons(${ICON_INSTALL_DIR})

=== debian/changelog ===
kgmailnotifier (0.5.1-0ubuntu2) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Bump Standards-Version to 3.8.4, no changes needed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 19 May 2010 03:05:18 +0200

kgmailnotifier (0.5.1-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Fixes LP: #490813
  * Use source format 3.0 (quilt); no more repackaging tarballs!

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 21 Dec 2009 14:56:23 -0500

kgmailnotifier (0.5.0.2-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Transition from kde.mk to dh --with-kde:
    - debian/control: Remove cdbs build-dependency
    - debian/rules: Build with the dh7 kde addon

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 01 Dec 2009 14:11:10 -0500

kgmailnotifier (0.5.0.1-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 03 Nov 2009 17:06:35 -0500

kgmailnotifier (0.5.0-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #427677)
  * Port packaging to KDE4:
    - Bump debian/compat version to 7, for pkg-kde-tools
    - Bump debhelper version to 7
    - Remove autotools build-dependency
    - Add dependency on pkg-kde-tools
    - Bump build-depend on kdelibs4-dev to kdelibs5-dev
    - Update copyright years
    - Remove automake.mk from debian/rules
    - Include kde.mk from pkg-kde-tools in debian/rules
    - Remove --without-arts configure flag from debian/rules; this software 
      uses neither aRts nor autotools
  * Homagepage: -> Homepage: in debian/control
  * Replace (C) with © throughout debian/copyright
  * Bump Standards-Version to 3.8.3

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 10 Sep 2009 21:18:48 -0400

kgmailnotifier (0.4.0-0ubuntu2) jaunty; urgency=low

  * debian/rules: added DEB_CONFIGURE_EXTRA_FLAGS with value --without-arts to
    rebuild without arts support (LP: #320915)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Fri, 17 Apr 2009 19:26:25 +0000

kgmailnotifier (0.4.0-0ubuntu1) intrepid; urgency=low

  * New upstream version

 -- Alexander Kopf <kopf-alexander@gmx.de>  Tue, 01 Jul 2008 16:48:01 +0200

kgmailnotifier (0.3.1-0ubuntu1) hardy; urgency=low

  * Initial release

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 16 Nov 2007 16:28:13 +0100

=== debian/control ===
Source: kgmailnotifier
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16~),
               pkg-kde-tools (>= 0.5.0~),
               cmake,
               kdelibs5-dev
Standards-Version: 3.8.4
Homepage: http://kde-apps.org/content/show.php/KGmailNotifier?content=55375

Package: kgmailnotifier
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gmail notifier applet for KDE
 When a new mail has arrived in your inbox a small window will pop up, showing
 author and subject of the newest mail. The underlined link will take you right
 to your inbox (using your preferred browser).
 .
 It also provides some additional features such as audio notification and
 support for LEDs on notebooks and multimedia keyboards.

## kgmailnotifier 0.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(kgmailnotifier)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
add_definitions(${KDE4_DEFINITIONS})

add_subdirectory(src)
add_subdirectory(pics)
add_subdirectory(po)

=== pics/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
kde4_install_icons(${ICON_INSTALL_DIR})
install(FILES gmailLabel.png DESTINATION ${DATA_INSTALL_DIR}/kgmailnotifier/pics)

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
        SET(catalogname kgmailnotifier)
 
        ADD_CUSTOM_TARGET(translations ALL)
 
        FILE(GLOB PO_FILES *.po)
 
        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
 
                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
 
                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )
 
        ENDFOREACH(_poFile ${PO_FILES})
 
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== src/CMakeLists.txt ===


=== debian/changelog ===
kgmailnotifier (0.5.2-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3.1, no changes required
  * Bump debhelper version to 9:
    - Bump debhelper build-depend to 9
    - Bump debian/compat to 9
    - Fix argument order to the dh call in debian/rules
  * Use KDE's preferred branding in the short description

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 21 Jul 2012 22:01:04 -0400

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
-Build-Depends: debhelper (>= 7.3.16~),
+Build-Depends: debhelper (>= 9),
                pkg-kde-tools (>= 0.5.0~),
                cmake,
                kdelibs5-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3.1
 Homepage: http://kde-apps.org/content/show.php/KGmailNotifier?content=55375
 
 Package: kgmailnotifier
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Gmail notifier applet for KDE
+Description: Gmail notifier applet for the KDE Plasma Workspace
  When a new mail has arrived in your inbox a small window will pop up, showing
  author and subject of the newest mail. The underlined link will take you right
  to your inbox (using your preferred browser).
